Qt Reference Documentation

# QHelpEngine Class Reference

The QHelpEngine class provides access to contents and indices of the help engine. More...

     #include <QHelpEngine>

Inherits: QHelpEngineCore.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

| QHelpEngine ( const QString & collectionFile, QObject * parent = 0 )
| ~QHelpEngine ()
QHelpContentModel * | contentModel () const
QHelpContentWidget * | contentWidget ()
QHelpIndexModel * | indexModel () const
QHelpIndexWidget * | indexWidget ()
QHelpSearchEngine * | searchEngine ()

- 26 public functions inherited from QHelpEngineCore
- 29 public functions inherited from QObject

### Additional Inherited Members

- 3 properties inherited from QHelpEngineCore
- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 4 signals inherited from QHelpEngineCore
- 1 signal inherited from QObject
- 2 static public members inherited from QHelpEngineCore
- 7 static public members inherited from QObject
- 8 protected functions inherited from QObject

## Detailed Description

The QHelpEngine class provides access to contents and indices of the help engine.

## Member Function Documentation

### QHelpEngine::QHelpEngine ( const QString & collectionFile, QObject * parent = 0 )

Constructs a new help engine with the given parent. The help engine uses the information stored in the collectionFile for providing help. If the collection file does not already exist, it will be created.

### QHelpEngine::~QHelpEngine ()

Destroys the help engine object.

### QHelpContentModel * QHelpEngine::contentModel () const

Returns the content model.

### QHelpContentWidget * QHelpEngine::contentWidget ()

Returns the content widget.

### QHelpIndexModel * QHelpEngine::indexModel () const

Returns the index model.

### QHelpIndexWidget * QHelpEngine::indexWidget ()

Returns the index widget.

### QHelpSearchEngine * QHelpEngine::searchEngine ()

Returns the default search engine.